Introduction

NAS Data Recovery © 2010-2014 by Runtime Software LLC

75-6082 Alii Dr., Suite A, Kailua Kona, HI 96740, USA
Phone (USA): 1-888-777-6960, Fax: 1-818-475-1741
Phone (Germany): +49-30-2180 1016
Email: info@runtime.org, Web: http://www.runtime.org

NAS Data Recovery recovers the entire content of your broken NAS within minutes. You will be able to copy the files and folders over to another disk.

NAS Data Recovery works for all XFS- or EXT2FS-formatted single-drive, RAID-0, or RAID-5 NAS stations from manufacturers such as Buffalo, Iomega, Seagate, Western Digital, or DLink.

Before running NAS Data Recovery you need to remove the drives from the NAS station and attach them locally to your machine. Make sure the drives are all recognized by Windows. If you are trying to recover a RAID-5, it is Ok to attach one drive less than the total number of drives in that NAS. NAS Data Recovery also works with images of your drives.

Install NAS Data Recovery to your computer and start the program. In Vista or Windows 7 you need to right-click the program icon and select "Run as Administrator".

A Wizard will guide you through the recovery. A couple of minutes later, an Explorer-like window will show all recoverable files and folders. Now you can copy your files over to another disk. You can also view many file types before copying them, e.g. pictures, documents, etc.

If you want to recover Windows RAIDs, please use our software RAID Recovery for Windows. For all other RAIDs, please use our software RAID Reconstructor.

See also: Installation, System Requirements, Saving your files

Introduction Saving your files Options License key Support


System Requirements

  • Pentium processor
  • 1 GB RAM
  • Windows 95/98/ME, Windows NT, 2000, XP, 2003, Vista, Windows 7, 2008, 32-bit or 64-bit
  • One problem-free hard disk to boot from
  • Enough HD connectors on motherboard or additional controller card to attach the drives taken out of the NAS device.
  • Storage space for holding the files copied from the NAS.

See also: Installation, Introduction


Installation

Do not install NAS Data Recovery to the drive(s) you want to recover! It is recommended to proceed as follows:

Install the program to a computer, which doesn't have any problems. If you have a choice, choose the computer which has the most RAM and is the fastest.

Take the drives out of your NAS and attach them to the HD cables of the motherboard or a simple non-RAID controller.

After downloading the NAS Data Recovery run the NASSETUP.EXE. The setup wizard will guide you through the installation process.

NT/XP users: You must have Administrator rights to run this program.
Vista/Windows 7 users: You must switch User Access Control (UAC) off, or you right-click the program icon and select "Start as administrator".

See also: System requirements, Introduction


Licensing the Software

You will need to purchase a license key for NAS Data Recovery in order to copy files from a mounted NAS device. You can do so now by going to http://www.runtime.org/buy_now.htm. You will receive a license key and registration name. Enter key and name into the software by clicking License in the wizard or Help->License... in the file explorer.

A dialog box will open and you enter both, registration name and license key into the correct areas. You can also copy and paste the information from the email you received from Runtime Software.

After you entered your license information, you will be ready to copy your files. It is not necessary to run the software again.

See also: Installation, System Requirements, Disclaimer and License Agreement

Introduction Saving your files Options License key Support


License Agreement

License Agreement and Disclaimer

The following are the conditions under which Runtime Software software is sold, supported and may be used. By using or registering Runtime Software software, you are agreeing to these. This document may be augmented or superceded by conditions included with specific applications.

Neither the author(s) nor Runtime Software assume responsibility for any expense, damage or loss caused by your use of this software, however it occurs. All the registered trademarks used herein are registered to whoever it is that owns them. This notification is given in lieu of any specific list of trademarks and their owners.

If you register software by Runtime Software, we will assume that you are doing so having tested the shareware version and ascertained that it's suitable for your hardware and requirements. We cannot provide refunds for shareware registration if you subsequently change your mind.

No portion of the documentation for this software or any of its attendant files may be reproduced in whole or in part in any medium or form of transmission exclusive of the archive file for the software without the express written permission of Runtime Software. You may not modify or patch the software's executable files in any way, including but not limited to decompiling, disassembling, or otherwise reverse engineering the program.

Registering this software buys you a named single-user license to use it in perpetuity, subject to the terms discussed herein. With a named single-user license you are the only user of the license, installed on one computer owned or controlled by you. If you want to have the software installed on more than one computer at the same time, you need to purchase additional licenses. If you want the software to be used by additional users, you need to purchase additional licenses. A single-user license does not permit you to make the registered software available over a network for multiple users to access, to distribute it in any form or to provide it in conjunction with any other product without the express written permission of Runtime Software. The license is not transferable to another party without written permission of Runtime Software. If you have any questions about the software license, feel free to get in touch with us.

A "Technician's License" has the same rights and restrictions as the above "named single-user license", but allows you to perform data recovery services on computers not owned or controlled by you.

If you have downloaded this software or had it given to you on disk to try out, you are allowed to use the limited version of the software for free, in order to use the full version you have to register the software immediately.

You may distribute the software (on CD-ROMs, Books, Catalogs, Internet etc.) as long as you follow each and every one of the following:

1. You distribute only exact, unmodified copies of the original unregistered shareware version of the software incl. the DISCLAIMER.
2. You do not monetarily charge or otherwise request any compensation for any copy, however made, without prior permission from Runtime Software.
3. You include the phrase "Copyright by Runtime Software" with any copy of the software.


Saving Your Files

You can easily save files and folders in NAS Data Recovery once you have licensed the software.

Select a folder you want to save on the left hand side, or select one or more files or folders on the right hand side. Then press F5 or click the Save icon.

If you want to copy everything, you can select the mounted drive, then press F5 or click Save.

Once you have pressed F5 or clicked Save, you need to choose where you want to copy the files or directories.


Search

NAS Data Recovery provides a comfortable search function. To search for certain data on the NAS click Tools->Search.

You will see a number in the search directory. This corresponds to the drive number in the file explorer window of NAS Data Recovery (0:\, 1:\, etc).

Enter the search mask into the Filter section, e.g. *.jpg. Enter more criteria if you need to, then click Start.


Options

The Options are viewed and modified in the file NAS.INI. In the second screen of the wizard click on "Advanced" to load this file into the editor. Do not modify those values unless advised by Runtime Software's support.

Introduction Saving your files Options License key Support


Support

You can contact us for support:

USA

Phone | 1-888-777-6960
Fax | 1-818-475-1741
Email | support@runtime.org
Website | http://www.runtime.org

Europe (Germany)

Phone | +49-30-2180 1016
Fax | +49-30-690 88 444
Email | support_europe@runtime.org
Website | http://www.runtime.org

If you have any questions related to the use of this software, please call us or send us an email.

See also: Troubleshooting

Introduction Saving your files Options License key Support


Troubleshooting

These are the most common warnings or errors you might run into:

Error message | Description
Access denied This message is displayed if you are trying to
  • open a file that is already in exclusive use by another process or
  • open a file in read/write mode that is write-protected.
COMCTRL32 outdated | You should update your Internet Explorer to a newer version.
DRV16 not found | Under Windows 95, 98, ME this file is needed. Re-install this program.
No drives show up | You must run NAS Data Recovery with administrator rights. Right-click the program icon and select "Run as administrator".
I/O Error The drive you are trying to read has "bad sectors". You should consider to stop working as this drive is physically damaged.
If it is a USB drive, you should attach it directly to the motherboard. Consider making an image.

If you get a runtime error, please submit a screenshot to: support@runtime.org.

See also: Support